install problems with v1.1

Topics: Developer Forum, User Forum
Apr 23, 2007 at 7:29 PM
Hi,

When I try to install v1.1, I get this error.
"
This advertised application will not be installed because it may be unsafe.Contact your administrator to change the installation user interface option of the package to basic. "

When I tried to uninstall v1.0, but it complained that I did not have an .msi file. I did not have it on my computer and also could not find a place to download it again, so I ran Microsoft Install clean up utility to remove this. I also ran installutil /u on the pscx.dll which was successful.

Any help is appreciated.

Thanks,
Anesh.
Apr 23, 2007 at 8:03 PM
Okay, I extracted the files from setup.exe using

PowerShellCX11.1Setup.exe /T:d:\tmp\pscx /c

And then ran this to get the logs

PowerShellCX.msi /lv log.txt

The following is relavent portion of the log. I do have .net framework 3.0 as well as v2.0.50727. Is the installer having trouble when v3.0 is present?

MSI (c) (FC!CC) 11:49:20:465: PROPERTY CHANGE: Modifying VSDNETMSG property. Its current value is 'This setup requires the .NET Framework version 1. Please install the .NET Framework and run this setup again.'. Its new value: 'This setup requires the .NET Framework version 2.0.50727. Please install the .NET Framework and run this setup again.'.
MSI (c) (FC!CC) 11:49:20:465: PROPERTY CHANGE: Modifying VSDNETURLMSG property. Its current value is 'This setup requires the .NET Framework version 1. Please install the .NET Framework and run this setup again. The .NET Framework can be obtained from the web. Would you like to do this now?'. Its new value: 'This setup requires the .NET Framework version 2.0.50727. Please install the .NET Framework and run this setup again. The .NET Framework can be obtained from the web. Would you like to do this now?'.
MSI (c) (FC!CC) 11:49:20:465: PROPERTY CHANGE: Adding VSDFXAvailable property. Its value is 'TRUE'.
MSI (c) (FC!CC) 11:49:20:465: PROPERTY CHANGE: Adding VSDFxConfigFile property. Its value is 'C:\DOCUME~1\ANESH~1\LOCALS~1\Temp\CFG2E.tmp'.
Action ended 11:49:20: DIRCA_CheckFX. Return value 1.
MSI (c) (FC:E8) 11:49:20:465: Doing action: ERRCA_UIANDADVERTISED
Action start 11:49:20: ERRCA_UIANDADVERTISED.
MSI (c) (FC:28) 11:49:20:480: Note: 1: 2262 2: Error 3: -2147287038
Info 2898. VSIMSSansSerif13.00_0, MS Sans Serif, 0
MSI (c) (FC:28) 11:49:20:480: Note: 1: 2262 2: Error 3: -2147287038
DEBUG: Error 2835: The control ErrorIcon was not found on dialog ErrorDialog
The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2835. The arguments are: ErrorIcon, ErrorDialog,
MSI (c) (FC:E8) 11:49:22:058: Note: 1: 2262 2: Error 3: -2147287038
MSI (c) (FC:E8) 11:49:22:058: Product: PowerShell Community Extensions 1.1 -- This advertised application will not be installed because it might be unsafe. Contact your administrator to change the installation user interface option of the package to basic.

Thanks,

Anesh.



anesh wrote:
Hi,

When I try to install v1.1, I get this error.
"
This advertised application will not be installed because it may be unsafe.Contact your administrator to change the installation user interface option of the package to basic. "

When I tried to uninstall v1.0, but it complained that I did not have an .msi file. I did not have it on my computer and also could not find a place to download it again, so I ran Microsoft Install clean up utility to remove this. I also ran installutil /u on the pscx.dll which was successful.

Any help is appreciated.

Thanks,
Anesh.

Apr 26, 2007 at 10:27 PM
In case anyone else encounters this --

I got this working by doinloading the sources and telling the installer not to check for .net framework 2.0.

Anesh